Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface BusProvider

All Superinterfaces:
  Provider, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Subinterfaces:
  BusProviderDocument.BusProvider, FsProviderDocument.FsProvider, FtpProviderDocument.FtpProvider, HibernateProviderDocument.HibernateProvider, JbrProviderDocument.JbrProvider, JmsJcaProviderDocument.JmsJcaProvider, JmsProviderType, SqlProviderDocument.SqlProvider

All Known Implementing Classes:
  BusProviderDocumentImpl.BusProviderImpl, BusProviderImpl, FsProviderDocumentImpl.FsProviderImpl, FtpProviderDocumentImpl.FtpProviderImpl, HibernateProviderDocumentImpl.HibernateProviderImpl, JbrProviderDocumentImpl.JbrProviderImpl, JmsJcaProviderDocumentImpl.JmsJcaProviderImpl, JmsProviderTypeImpl, SqlProviderDocumentImpl.SqlProviderImpl

    public interface BusProvider

extends Provider

An XML bus-provider(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `BusProvider.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`Bus` | `addNewBus()` Appends and returns a new empty value (as xml) as the last "bus" element
`Bus[]` | `getBusArray()` Deprecated.
`Bus` | `getBusArray(int i)` Gets ith "bus" element
`java.util.List<Bus>` | `getBusList()` Gets a List of "bus" elements
`Bus` | `insertNewBus(int i)` Inserts and returns a new empty value (as xml) as the ith "bus" element
`void` | `removeBus(int i)` Removes the ith "bus" element
`void` | `setBusArray(Bus[] busArray)` Sets array of all "bus" element
`void` | `setBusArray(int i, Bus bus)` Sets ith "bus" element
`int` | `sizeOfBusArray()` Returns number of "bus" element

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.Provider
`addNewProperty, getName, getPropertyArray, getPropertyArray, getPropertyList, insertNewProperty, removeProperty, setName, setPropertyArray, setPropertyArray, sizeOfPropertyArray, xgetName, xsetName`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getBusList

    java.util.List<Bus> getBusList()

  Gets a List of "bus" elements

### getBusArray

    Bus[] getBusArray()

  Deprecated.

  Gets array of all "bus" elements

### getBusArray

    Bus getBusArray(int i)

  Gets ith "bus" element

### sizeOfBusArray

    int sizeOfBusArray()

  Returns number of "bus" element

### setBusArray

    void setBusArray(Bus[] busArray)

  Sets array of all "bus" element

### setBusArray

    void setBusArray(int i,
                     Bus bus)

  Sets ith "bus" element

### insertNewBus

    Bus insertNewBus(int i)

  Inserts and returns a new empty value (as xml) as the ith "bus" element

### addNewBus

    Bus addNewBus()

  Appends and returns a new empty value (as xml) as the last "bus" element

### removeBus

    void removeBus(int i)

  Removes the ith "bus" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD